import { OnInit } from "@angular/core";
import { StiModelService } from "../../../../services/model.service";
import { StiEditorProperty } from "../../../../services/objects";
import { StiHelperService } from "../../../../services/sti-helper.service";
import * as i0 from "@angular/core";
export declare class StiEnumEditorComponent implements OnInit {
    model: StiModelService;
    helper: StiHelperService;
    property: StiEditorProperty;
    object?: any;
    index?: any;
    items: any[];
    today: Date;
    constructor(model: StiModelService, helper: StiHelperService);
    get columns(): any[];
    mouseOver(target: any): void;
    formattedDateTime(): string;
    get columnIndex(): number;
    set columnIndex(value: number);
    get type(): string;
    set type(value: string);
    get enum(): any[];
    setProperties(newColumn: any, changedColumn: any, expression?: any): void;
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<StiEnumEditorComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<StiEnumEditorComponent, "sti-enum-editor", never, { "property": { "alias": "property"; "required": false; }; "object": { "alias": "object"; "required": false; }; "index": { "alias": "index"; "required": false; }; }, {}, never, never, false, never>;
}
